//+------------------------------------------------------------------+
//|                                                      Exemple.mq5 |
//|                                            Rafael Floriani Pinto |
//|                           https://www.mql5.com/pt/users/rafaelfp |
//+------------------------------------------------------------------+
#property copyright "Rafael Floriani Pinto"
#property link      "https://www.mql5.com/pt/users/rafaelfp"
#property version   "1.00"
#include <ClassPriceAdjustment.mqh>
//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+
void OnStart()
  {
   CPriceAdjustmentV1 Symbol1;   //Graph "PETR4" 0.01/point
   CPriceAdjustmentV1 Symbol2("DOLG20"); // 0.5/point
   CPriceAdjustmentV1 Symbol3("WING20"); // 5/point


   double Prices[]= {95,110.5,60.85,314.555,623.6498756};
   int n=ArraySize(Prices);

   for(int i=0; i<n; i++)
     {
      printf("Symbol: %s, TickZize: %f , Unadjusted price: %f, Adjusted price: %f",Symbol1.GetSymbolName(),SymbolInfoDouble(Symbol1.GetSymbolName(),SYMBOL_TRADE_TICK_SIZE),Prices[i],Symbol1.AdjustPrice(Prices[i]));

     }

   for(int i=0; i<n; i++)
     {
      printf("Symbol: %s, TickZize: %f , Unadjusted price: %f, Adjusted price: %f",Symbol2.GetSymbolName(),SymbolInfoDouble(Symbol2.GetSymbolName(),SYMBOL_TRADE_TICK_SIZE),Prices[i],Symbol2.AdjustPrice(Prices[i]));

     }

   for(int i=0; i<n; i++)
     {
      printf("Symbol: %s, TickZize: %f , Unadjusted price: %f, Adjusted price: %f",Symbol3.GetSymbolName(),SymbolInfoDouble(Symbol3.GetSymbolName(),SYMBOL_TRADE_TICK_SIZE),Prices[i],Symbol3.AdjustPrice(Prices[i]));

     }


   double UPrice=658.32564;
   printf("Symbol: %s",Symbol1.GetSymbolName());
   printf("TickSize: %f",SymbolInfoDouble(Symbol1.GetSymbolName(),SYMBOL_TRADE_TICK_SIZE));
   printf("Unadjusted price: %f",UPrice);
   printf("Adjusted price: %f",Symbol1.AdjustPrice(UPrice));
   printf("TakeProfit 10 points buy: %f",Symbol1.PointsToPriceTPBuy(10,UPrice));
   printf("StopLoss 10 points buy: %f",Symbol1.PointsToPriceSLBuy(10,UPrice));




  }
//+------------------------------------------------------------------+
